<?php
//Designed By Solo Design |!!.
	add_action( 'widgets_init', 'nextroid_cat_widget' );
function nextroid_cat_widget() {
	register_widget( 'categort_posts' );
}	
class categort_posts extends WP_Widget {
	
	function __construct() {
        $widget_ops = array('classname' => 'categort_posts', 'description' => "نمایش مطالب دسته ای دلخواه" );
        parent::__construct('nextroid_cat_widget','آخرین مطالب یک دسته', $widget_ops);
        $this->alt_option_name = 'categort_posts';

        add_action( 'save_post', array($this, 'flush_widget_cache') );
        add_action( 'deleted_post', array($this, 'flush_widget_cache') );
        add_action( 'switch_theme', array($this, 'flush_widget_cache') );
    }
	
	function widget($args, $instance) {
        $cache = wp_cache_get('categort_posts', 'widget');
		
		if ( !is_array($cache) )
            $cache = array();

        if ( ! isset( $args['widget_id'] ) )
            $args['widget_id'] = $this->id;

        if ( isset( $cache[ $args['widget_id'] ] ) ) {
            echo $cache[ $args['widget_id'] ];
            return;
        }
		
		ob_start();
        extract($args);
		
	$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'مطالب یک دسته' );
	$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
        $number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 10;
        if ( ! $number )
            $number = 10;
		$cats_id = $instance['cats_id'];
        $show_date = isset( $instance['show_date'] ) ? $instance['show_date'] : false;

        $r = new WP_Query( apply_filters( 'widget_posts_args', array( 'cat' => $cats_id, 'posts_per_page' => $number, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );
        if ($r->have_posts()) :
		
		
		
		?>
    <?php echo $before_widget; ?>
        <?php if ( $title ) echo $before_title . $title . $after_title; ?>
        <ul class="off-post">
        <?php while ( $r->have_posts() ) : $r->the_post(); ?>
		<li>
		<?php
				if ( has_post_thumbnail() ) { ?>
				<?php the_post_thumbnail( array(50, 50) ); ?>
				<?php }else{ ?>
				<img src="<?php bloginfo('template_directory'); ?>/img/no-img-50.jpg" alt="<?php the_title(); ?>" width="50" height="50" />
				<?php } ?>
				<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php echo ShortensideText(get_the_title()); ?><?php if ( $show_date ) : ?><br />تاریخ : <?php the_time('d / M / Y'); ?><?php endif; ?></a>
		</li>
        <?php endwhile; ?>
        </ul>
        <?php echo $after_widget; ?>
<?php
        // Reset the global $the_post as this query will have stomped on it
        wp_reset_postdata();

        endif;

        $cache[$args['widget_id']] = ob_get_flush();
        wp_cache_set('widget_recent_posts', $cache, 'widget');
    }

    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['number'] = (int) $new_instance['number'];
        $instance['show_date'] = (bool) $new_instance['show_date'];
		$instance['cats_id'] = implode(',' , $new_instance['cats_id']  );
        $this->flush_widget_cache();

        $alloptions = wp_cache_get( 'alloptions', 'options' );
        if ( isset($alloptions['widget_recent_entries']) )
            delete_option('widget_recent_entries');

        return $instance;
    }

    function flush_widget_cache() {
        wp_cache_delete('widget_recent_posts', 'widget');
    }

    function form( $instance ) {
		$defaults = array( 'title' => 'مطالب یک دسته' , 'number' => '5' , 'cats_id' => '1' , 'show_date' => 'false' );
		$instance = wp_parse_args( (array) $instance, $defaults );
        $title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
        $number    = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
        $show_date = isset( $instance['show_date'] ) ? (bool) $instance['show_date'] : false;
		
		$categories_obj = get_categories('hide_empty=0');
		$categories = array();

		foreach ($categories_obj as $pn_cat) {
			$categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
		}
?>
        <p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'عنوان:' ); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>

        <p><label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e( 'تعداد پست ها:' ); ?></label>
        <input id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" value="<?php echo $number; ?>" size="3" /></p>
		
        <p><input class="checkbox" type="checkbox" <?php checked( $show_date ); ?> id="<?php echo $this->get_field_id( 'show_date' ); ?>" name="<?php echo $this->get_field_name( 'show_date' ); ?>" />
        <label for="<?php echo $this->get_field_id( 'show_date' ); ?>"><?php _e( 'نمایش تاریخ پست؟' ); ?></label></p>
		
		<p>
		<style>#widget-list > div[id*="nextroid_"] .widget-top, .widgets-sortables > div[id*="nextroid_"] .widget-top {
			background:#35e780 none repeat scroll 0% 0%;
			border-color:#2ECC71;
		}</style>
		<?php $cats_id = explode ( ',' , $instance['cats_id'] ) ; ?>
		<label for="<?php echo $this->get_field_id( 'cats_id' ); ?>">دسته : </label>
		<select multiple="multiple" id="<?php echo $this->get_field_id( 'cats_id' ); ?>[]" name="<?php echo $this->get_field_name( 'cats_id' ); ?>[]">
		<?php foreach ($categories as $key => $option) { ?>
		<option value="<?php echo $key ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
		<?php } ?>
		</select>
		</p>

<?php
    }
}
?>