jQuery(document).ready(function($) {
 
  $('#btn-new-user').click( function(event) {
 
    if (event.preventDefault) {
        event.preventDefault();
    } else {
        event.returnValue = false;
    }
 
    $('.result-message').html('در حال بارگزاری ...');
 
    var reg_nonce = $('#vb_new_user_nonce').val();
    var reg_user  = $('#vb_username').val();
    var reg_pass  = $('#vb_pass').val();
    var reg_mail  = $('#vb_email').val();
    var reg_name  = $('#vb_name').val();
    var reg_lname  = $('#vb_lname').val();
	
    var ajax_url = vb_reg_vars.vb_ajax_url;
 
    data = {
      action: 'register_user',
      nonce: reg_nonce,
      user: reg_user,
      pass: reg_pass,
      mail: reg_mail,
      name: reg_name,
      lname: reg_lname,
    };
 
    $.post( ajax_url, data, function(response) {
 
      if( response ) {
        if( response === '1' ) {
          $('.result-message').html('<span style="color:green;">ثبت نام با موفقیت انجام شد .</span>');
          $('.result-message').show();
        } else {
          $('.result-message').html('<span style="color:red;">'+response+'</span>');
          $('.result-message').show();
        }
      }
	  
    });
  });
});