<?php
//Designed By market4.ir |!!.
global $data;
require_once (TEMPLATEPATH . '/admin/index.php');

include ( 'include/metabox.php' );
include ( 'include/widget-cat.php' );
include ( 'include/widget-tag.php' );
include ( 'include/guide.php' );

//ajax user register
function vb_registration_form() { ?>
<div class="vb-registration-form">
<p class="status result-message" style="padding-top:0; text-align: center;">اطلاعات را وارد کنید .</p>
  <form class="form-horizontal registraion-form" role="form">
    <div class="form-group">
      <label for="vb_name" class="sr-only">نام :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
      <input type="text" style="margin-bottom: 10px;" name="vb_name" id="vb_name" value="" class="form-control" />
    </div>
	<div class="form-group">
      <label for="vb_lname" class="sr-only">نام خانوادگی :</label>
      <input type="text" style="margin-bottom: 10px;" name="vb_lname" id="vb_lname" value="" class="form-control" />
    </div>
    <div class="form-group">
      <label for="vb_email" class="sr-only">ایمیل :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
      <input type="email" style="margin-bottom: 10px;" name="vb_email" id="vb_email" value="" class="form-control" />
    </div>
    <div class="form-group">
      <label for="vb_username" class="sr-only">نام کاربری :&nbsp;&nbsp;&nbsp;</label>
      <input type="text" style="margin-bottom: 10px;" name="vb_username" id="vb_username" value="" placeholder="حداقل 5 کاراکتر" class="form-control" />
    </div>
    <div class="form-group">
      <label for="vb_pass" class="sr-only">رمز عبور :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
      <input type="password" name="vb_pass" id="vb_pass" value="" placeholder="حداقل 8 کاراکتر" class="form-control" />
    </div>
    <?php wp_nonce_field('vb_new_user','vb_new_user_nonce', true, true ); ?>
 <div style="text-align:center; margin-top:10px;">
    <input type="submit" class="submit_button userbut" id="btn-new-user" value="ثبت نام" />
	</div>
  </form>
</div>
<?php
}
function vb_register_user_scripts() {
  // Enqueue script
  wp_register_script('vb_reg_script', get_template_directory_uri() . '/js/ajax-registration.js', array('jquery'), null, false);
  wp_enqueue_script('vb_reg_script');
  wp_localize_script( 'vb_reg_script', 'vb_reg_vars', array(
        'vb_ajax_url' => admin_url( 'admin-ajax.php' )  ));
}
add_action('wp_enqueue_scripts', 'vb_register_user_scripts', 100);
function vb_reg_new_user() {
  // Verify nonce
  if( !isset( $_POST['nonce'] ) || !wp_verify_nonce( $_POST['nonce'], 'vb_new_user' ) )
    die( 'ایرادی رخ داده لطفا بعدا امتحان کنید.' );
  // Post values
    $name     = $_POST['name'];
    $lname     = $_POST['lname'];
	$email    = $_POST['mail'];
	$username = $_POST['user'];
    $password = $_POST['pass'];
	
	if(empty($name)){
		die( '<span style="color:red;">نام را وارد کنید .</span>' );
	} else if(empty($lname)){
		die( '<span style="color:red;">نام خانوادگی را وارد کنید .</span>' );
	} else if(empty($email)){
		die( '<span style="color:red;">ایمیل را وارد کنید .</span>' );
	} else if(!filter_var($email, FILTER_VALIDATE_EMAIL)){
		die( '<span style="color:red;">ایمیل وارد شده معتبر نیست .</span>' );
	} else if(empty($username)){
		die( '<span style="color:red;">نام کاربری را وارد کنید .</span>' );
	} else if(strlen($username)<5){
		die( '<span style="color:red;">نام کاربری حداقل باید 5 کاراکتر باشد .</span>' );
	} else if(empty($password)){
		die( '<span style="color:red;">رمز را وارد کنید .</span>' );
	} else if(strlen($password)<8){
		die( '<span style="color:red;">رمز عبور حداقل باید 8 کاراکتر باشد .</span>' );
	}
 
    $userdata = array(
        'user_login' => $username,
        'user_pass'  => $password,
        'user_email' => $email,
        'first_name' => $name,
        'last_name'   => $lname,
    );
    $user_id = wp_insert_user( $userdata ) ;
 
    if( !is_wp_error($user_id) ) {
        echo '1';
    } else { echo $user_id->get_error_message(); }
  die();
}
add_action('wp_ajax_register_user', 'vb_reg_new_user');
add_action('wp_ajax_nopriv_register_user', 'vb_reg_new_user');

//ajax user login
function ajax_login_init(){

    wp_register_script('ajax-login-script', get_template_directory_uri() . '/js/ajax-login-script.js', array('jquery') ); 
    wp_enqueue_script('ajax-login-script');

    wp_localize_script( 'ajax-login-script', 'ajax_login_object', array( 
        'ajaxurl' => admin_url( 'admin-ajax.php' ),
        'redirecturl' => home_url(),
        'loadingmessage' => __("درحال بارگزاری ...")
    ));

    // Enable the user with no privileges to run ajax_login() in AJAX
    add_action( 'wp_ajax_nopriv_ajaxlogin', 'ajax_login' );
}

// Execute the action only if the user isn't logged in
if (!is_user_logged_in()) {
    add_action('init', 'ajax_login_init');
}
function ajax_login(){

    // First check the nonce, if it fails the function will break
    check_ajax_referer( 'ajax-login-nonce', 'security' );

    // Nonce is checked, get the POST data and sign user on
    $info = array();
    $info['user_login'] = $_POST['username'];
    $info['user_password'] = $_POST['password'];
    $info['remember'] = $_POST['remember'];

    $user_signon = wp_signon( $info, false );
    if ( is_wp_error($user_signon) ){
        echo json_encode(array('loggedin'=>false, 'message'=>__('<span style="color:red;">نام کاربری یا رمز عبور اشتباه است .</span>')));
    } else {
        echo json_encode(array('loggedin'=>true, 'message'=>__('<span style="color:green;">با موفقیت وارد شدید . درحال انتقال ...</span>')));
    }

    die();
}



if($data['starating_show'] == 1){
	
include ('include/star-ratings.php');
function daneshfile_total_rating(){
global $post;
if( empty($postID) ) $postID = $post->ID ;
$daneshfile_total_star = get_post_meta($postID, '_kksr_avg', true );
if(empty ($daneshfile_total_star) ){
echo '0';
}else{
echo $daneshfile_total_star;
}
}

}

function add_google_plus_user_contact_field($contactmethods){
 // Add Google+ Author
 if (!isset( $contactmethods['googleplus']))
   $contactmethods['googleplus'] = 'گوگل پلاس';
 return $contactmethods;
 }
add_filter('user_contactmethods','add_google_plus_user_contact_field',10,1);
 
function add_google_plus_author_url(){
 if (is_singular() ) {
    global $post;
    $googleplus_url = get_the_author_meta('googleplus', $post->post_author);
 
    if (!empty($googleplus_url)){
 $google_plus_author_markup = '<link rel="author" href="'.$googleplus_url.'"/>';
 echo $google_plus_author_markup;
 }
 } 
}
add_action('wp_head', 'add_google_plus_author_url');

function pw_edd_change_currency_sign( $formatted, $currency, $price ) {
$price = str_replace( ',', '', $price );
                $price = str_replace( ',', '', $price );
                $price = $price / 10; 
				$price = number_format ( $price, 0,'.',',');
				$eng = array('0','1','2','3','4','5','6','7','8','9');
				$per = array('۰','۱','۲','۳','۴','۵','۶','۷','۸','۹');
				$price = str_replace($eng,$per,$price);
                return $price . ' تومان'; 
}
add_filter( 'edd_rial_currency_filter_after', 'pw_edd_change_currency_sign', 10, 3 );
add_filter( 'edd_rial_currency_filter_before', 'pw_edd_change_currency_sign', 10, 3 );

function register_my_menus() {
register_nav_menus(
array(
'top-menu' => __( 'top-menu' ),
)
);
}
add_action( 'init', 'register_my_menus' );

add_theme_support('post-thumbnails');

function get_image_url(){
$image_id = get_post_thumbnail_id();
$image_url = wp_get_attachment_image_src($image_id,'full');
$image_url = $image_url[0];
echo $image_url;
}


if ( function_exists('register_sidebar') )
register_sidebar(array(
'name'          => 'ابزارک بالا',
'description'   => 'ابزارک های بالای همه',
'before_widget' => '<div class="sidebar">',
'after_widget'  => '</div></div>',
'before_title'  => '<div class="title"><div class="cir2"><i class="fa fa-bars fa-16px"></i></div><span>',
'after_title'   => '</span></div><div class="content">',)
);

if ( function_exists('register_sidebar') )
register_sidebar(array(
'name'          => 'ابزارک پایین',
'description'   => 'ابزارک های پایین همه',
'before_widget' => '<div class="sidebar">',
'after_widget'  => '</div></div>',
'before_title'  => '<div class="title"><div class="cir4"><i class="fa fa-cog fa-16px"></i></div><span>',
'after_title'   => '</span></div><div class="content">',)
);

function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0";
    }
    return $count;
}
// function to count views.
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
// Add it to a column in WP-Admin
add_filter('manage_posts_columns', 'posts_column_views');
add_action('manage_posts_custom_column', 'posts_custom_column_views',5,2);
function posts_column_views($defaults){
    $defaults['post_views'] = __('View');
    return $defaults;
}
function posts_custom_column_views($column_name, $id){
    if($column_name === 'post_views'){
        echo getPostViews(get_the_ID());
    }
}

function ShortentopText($text) {
$chars_limit = 50;
$chars_text = strlen($text);
$text = $text." ";
$text = substr($text,0,$chars_limit);
$text = substr($text,0,strrpos($text,' '));
if ($chars_text > $chars_limit)
{
$text = $text." [...]";
}
return $text; }

function ShortensideText($text) {
$chars_limit = 70;
$chars_text = strlen($text);
$text = $text." ";
$text = substr($text,0,$chars_limit);
$text = substr($text,0,strrpos($text,' '));
if ($chars_text > $chars_limit)
{
$text = $text." [...]";
}
return $text; }



if ( ! function_exists( 'daneshfile_paging_nav' ) ) :

function daneshfile_paging_nav() {
	// Don't print empty markup if there's only one page.
	if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
		return;
	}

	$paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
	$pagenum_link = html_entity_decode( get_pagenum_link() );
	$query_args   = array();
	$url_parts    = explode( '?', $pagenum_link );

	if ( isset( $url_parts[1] ) ) {
		wp_parse_str( $url_parts[1], $query_args );
	}

	$pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
	$pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

	$format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
	$format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'page/%#%', 'paged' ) : '?paged=%#%';

	// Set up paginated links.
	$links = paginate_links( array(
		'base'     => $pagenum_link,
		'format'   => $format,
		'total'    => $GLOBALS['wp_query']->max_num_pages,
		'current'  => $paged,
		'mid_size' => 2,
		'add_args' => array_map( 'urlencode', $query_args ),
		'prev_text' => __( '&laquo;'),
		'next_text' => __( '&raquo;'),
	) );

	if ( $links ) :

	?>
	<section class="navigation-block"><h3 style="display:none;">صفحات</h3>
		<nav class="navigation">
			<?php echo $links; ?>
		</nav>
	</section>
	<?php
	endif;
}
endif; 


if ( ! function_exists( 'daneshfile_paging_nav_cat' ) ) :

function daneshfile_paging_nav_cat($cat_page) {
	// Don't print empty markup if there's only one page.
	if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
		return;
	}

	$paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
	$pagenum_link = html_entity_decode( get_pagenum_link() );
	$query_args   = array();
	$url_parts    = explode( '?', $pagenum_link );

	if ( isset( $url_parts[1] ) ) {
		wp_parse_str( $url_parts[1], $query_args );
	}

	$pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
	$pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

	$cat_id = (int) $cat_page;
	$cat_page = &get_category($cat_id);

	$format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
	$format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'category/'.$cat_page->slug.'/page/%#%', 'paged' ) : '?paged=%#%&cat='.$cat_id;
	
	// Set up paginated links.
	$links = paginate_links( array(
		'base'     => $pagenum_link,
		'format'   => $format,
		'total'    => $GLOBALS['wp_query']->max_num_pages,
		'current'  => $paged,
		'mid_size' => 2,
		'add_args' => array_map( 'urlencode', $query_args ),
		'prev_text' => __( '&laquo;'),
		'next_text' => __( '&raquo;'),
	) );

	if ( $links ) :

	?>
	<section class="navigation-block"><h3 style="display:none;">صفحات</h3>
		<nav class="navigation">
			<?php echo $links; ?>
		</nav>
	</section>
	<?php
	endif;
}
endif; 

?>