<?php 
//Designed By market4.ir |!!.
global $data;
$my_theme = wp_get_theme(); ?>
<?php 
function sanitize_output($buffer) {
    $search = array('/\>[^\S ]+/s','/[^\S ]+\</s','/(\s)+/s');
    $replace = array('>','<','\\1');
    $buffer = preg_replace($search, $replace, $buffer);
    return $buffer;
}
ob_start("sanitize_output");
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<title><?php bloginfo('name'); ?> | <?php is_front_page() ? bloginfo('description') : wp_title(''); ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable = no">
<meta name="MobileOptimized" content="width" />
<meta name="HandheldFriendly" content="true"/> 
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="keywords" content="<?php bloginfo('description'); ?>" />
<meta name="description" content="<?php is_front_page() ? bloginfo('description') : wp_title(''); ?>">
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<link rel="shortcut icon" href="<?php echo $data['media_upload_logo']; ?>">
<link rel="apple-touch-icon" href="<?php echo $data['media_upload_retina_60']; ?>">
<link rel="apple-touch-icon" sizes="76x76" href="<?php echo $data['media_upload_retina_76']; ?>">
<link rel="apple-touch-icon" sizes="120x120" href="<?php echo $data['media_upload_retina_120']; ?>">
<link rel="apple-touch-icon" sizes="152x152" href="<?php echo $data['media_upload_retina_152']; ?>">
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>?ver=<?php echo $my_theme->get( 'Version' ); ?>" />
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/view-port.css?ver=<?php echo $my_theme->get( 'Version' ); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/include/custom-css.php?ver=<?php echo $my_theme->get( 'Version' ); ?>" type="text/css" />
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.min.js"></script>
<script src="<?php bloginfo('template_directory'); ?>/js/main.js?ver=<?php echo $my_theme->get( 'Version' ); ?>"></script>
<?php if($data['topnav_stick'] == 1){ ?>
<script>
$(document).ready(function() {
	var viewportWidth = $(window).width(); if ( viewportWidth > 768 ) {
	$(window).scroll(function(){
		var y = $(window).scrollTop();
		if( y > (222)  ){
			$(".top-nav").css('position','fixed');
			$("header").css('margin-bottom','70px');
		} else {
			$(".top-nav").css('position','initial');
			$("header").css('margin-bottom','20px');
		}
	});
	}
});
</script>
<?php } ?>
<?php if($data['sidebar_stick'] == 1){ ?>
<script src="<?php bloginfo('template_directory'); ?>/js/theia.js"></script>
<script>
$(document).ready(function() { $('.tsidebar').theiaStickySidebar({ 
<?php if($data['topnav_stick'] == 1){ ?>
additionalMarginTop: 70
<?php } else { ?>
additionalMarginTop: 20
<?php } ?>
 }); });
</script>
<?php } ?>
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.newsTicker.min.js"></script>
<?php if($data['feature_show'] == 1){ ?>
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.flexslider-min.js"></script>
 <script>
$(document).ready(function() {
 $('.flexslider').flexslider({
		animation:"slide",
		controlNav:!1,
		customDirectionNav:$(".flex-navigation a"),
		animationLoop:!0,
		mousewheel:!0,
		pauseOnAction:!1,
		pauseOnHover:!0,
		slideshow:1,
		animationSpeed:350,
		slideshowSpeed:3000,
		itemWidth:267,
		itemMargin:10,
		move:1,
		minItems:1,
		maxItems:4
		});
});
</script>
<?php } ?>
<?php if($data['posts_effect'] == 1){ ?>
<script src="<?php bloginfo('template_directory'); ?>/js/wow.min.js"></script>
<script>
wow=new WOW({boxClass:"wow",animateClass:"animated",offset:0,mobile:!1,live:!0}),wow.init();
</script>
<?php } ?>
<?php if($data['rightpart_fix'] == 1){ ?>
<script>
$(document).ready(function() { $('.right-side').theiaStickySidebar({ 
<?php if($data['topnav_stick'] == 1){ ?>
additionalMarginTop: 50
<?php } ?>
 }); });
</script>
<?php } ?>
<?php if($data['ajax_show'] == 1){ ?>
<script>
jQuery(document).ready(function(){
    jQuery('.navigation a').live('click', function(epn)  {
    epn.preventDefault();
    var linknavi = jQuery(this).attr('href');
	jQuery(".loading-back, .loading-main").fadeIn(300);
    jQuery('#mainbar').load(linknavi + ' #posts', function() {
	jQuery(".loading-back, .loading-main").fadeOut(300); });

    });
}); 
</script>
<?php } ?>
<!--[if IE]>
<script src="<?php bloginfo('template_directory'); ?>/js/ie.js"></script>
<![endif]-->
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="lb-black"><div class="loading"></div></div>
<div class="lb-box"><div class="close"><i class="fa fa-close fa-16px"></i></div>
<img src="" alt="no-img">
</div>
<?php if($data['loading_show'] == 1){ ?>
<div class="loading-back"></div>
<div class="loading-main"></div>
<?php } ?>
<div class="res-back"></div>
<?php if($data['upper_show'] == 1){ ?>
<div class="uper"></div>
<?php } ?>
<header>
	<div class="top-head">
		<div class="cont">
			<div class="right-part">
				<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a>
				<h1><?php is_front_page() ? bloginfo('description') : wp_title(''); ?></h1>
			</div>
			<div class="left-part">
			<?php if($data['topshare_show'] == 1){ ?>
				<div class="top-share">
					<?php if($data['rss_show'] == 1){ ?>
					<a href="<?php bloginfo('rss_url'); ?>" title="rss">
					<span class="rss"><i class="fa fa-rss fa-16px"></i></span></a>
					<?php } ?>
					<?php if($data['telegram_show'] == 1){ ?>
					<a href="<?php echo $data['telegram_link']; ?>" title="telegram">
					<span class="teleg"><i class="fa fa-paper-plane fa-16px"></i></span></a>
					<?php } ?>
					<?php if($data['instagram_show'] == 1){ ?>
					<a href="<?php echo $data['instagram_link']; ?>" title="instagram">
					<span class="insta"><i class="fa fa-instagram fa-16px"></i></span></a>
					<?php } ?>
					<?php if($data['googleplus_show'] == 1){ ?>
					<a href="<?php echo $data['google_link']; ?>" title="google-plus">
					<span class="google"><i class="fa fa-google-plus fa-16px"></i></span></a>
					<?php } ?>
				</div>
			<?php } ?>
			</div>
		</div>
	</div>
	<div class="header">
		<div class="cont">
			<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><div class="head"></div></a>
			<?php get_search_form(); ?>
		</div>
	</div>
	<nav class="top-nav">
		<div class="cont">
			<?php if($data['cartq_show'] == 1){ ?>
			<a href="<?php if(function_exists('edd_get_checkout_uri')) { echo edd_get_checkout_uri(); } ?>">
			<div class="edd-cart-quantity-cont"><i class="fa fa-shopping-cart fa-24px"></i>
			سبد خرید <span class="header-cart edd-cart-quantity"><?php if (function_exists('edd_get_cart_quantity')) { echo edd_get_cart_quantity(); }?></span>
			</div>
			</a><?php } ?>
			<div class="top-nav-menu">
			<?php wp_nav_menu( array( 'theme_location' => 'top-menu' ) ); ?>
			</div>
		</div>
	</nav>
	<div class="top-res-head">
		<div class="circles" id="top-res-head">
		<div class="cir1"></div>
		<div class="cir2"></div>
		<div class="cir3"></div>
		</div>
		<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a>
	</div>
	<div class="top-res-nav">
		<form role="search" method="get" id="res-search-form" class="search-form" action="<?php bloginfo('home'); ?>/">
			<input type="text" class="search-field" placeholder="<?php echo $data['search_text']; ?>" value="" name="s" autocomplete="off">
			<input type="hidden" name="post_type" value="post" />
			<input type="submit" class="search-submit" value="">
		</form>
		<span id="close-res"><i class="fa fa-close fa-24px"></i></span>
		<div class="top-nav-menu-res-content">
		<div class="top-nav-menu-res">
			<?php wp_nav_menu( array( 'theme_location' => 'top-menu' ) ); ?>
		</div>
		</div>
		<?php if($data['topshare_show'] == 1){ ?>
				<div class="top-share">
					<?php if($data['rss_show'] == 1){ ?>
					<a href="<?php bloginfo('rss_url'); ?>" title="rss">
					<span class="rss"><i class="fa fa-rss fa-16px"></i></span></a>
					<?php } ?>
					<?php if($data['telegram_show'] == 1){ ?>
					<a href="<?php echo $data['telegram_link']; ?>" title="telegram">
					<span class="teleg"><i class="fa fa-paper-plane fa-16px"></i></span></a>
					<?php } ?>
					<?php if($data['instagram_show'] == 1){ ?>
					<a href="<?php echo $data['instagram_link']; ?>" title="instagram">
					<span class="insta"><i class="fa fa-instagram fa-16px"></i></span></a>
					<?php } ?>
					<?php if($data['googleplus_show'] == 1){ ?>
					<a href="<?php echo $data['google_link']; ?>" title="google-plus">
					<span class="google"><i class="fa fa-google-plus fa-16px"></i></span></a>
					<?php } ?>
				</div>
		<?php } ?>
	</div>
</header>
<?php if($data['feature_show'] == 1){ ?>
<div class="title-feature">
<div class="cir1"></div>
<div class="cir2"></div>
<div class="cir3"></div>
<span><?php echo $data['feature_text']; ?></span></div>
<?php
	$args=array(
			'tag' => $data['feature_tag'],
			'showposts'=> $data['feature_count'],
			'caller_get_posts'=>1
			);
			$my_query = new WP_Query($args);
			if( $my_query->have_posts() ) { ?>
<div class="sliderwraper">
	<div class="flex-navigation">
          <a href="#" class="flex-prev"></a>
          <a href="#" class="flex-next"></a>
    </div>
	<div class="flexslider">
	  <ul class="slides">
	    <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
		<li>
		<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
		<div class="thumb">
		<?php if ( has_post_thumbnail() ) { ?>
		<?php the_post_thumbnail( array(120, 120) ); ?>
		<?php }else{ ?>
		<img src="<?php echo $data['media_upload_noimg120']; ?>" alt="<?php the_title(); ?>" width="120" height="120" />
		<?php } ?>
		</div>
		</a>
		  <p><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php echo ShortentopText(get_the_title()); ?></a><br />
		  <span>تاریخ : </span><?php the_time('d / m / Y'); ?><br />
		  <span>بازدید : </span><?php echo getPostViews(get_the_ID()); ?><br />
		  <span>موضوع : </span>
		<?php $category = get_the_category();
		$catParID = $category[0]->category_parent;
		$catParent = get_cat_name ($catParID);
		$catParentl = get_category_link ($catParID); ?>
  <a href="<?php echo $catParentl; ?>" title="<?php echo $catParent; ?>"><?php echo $catParent; ?></a>
		  </p>
		</li>
		<?php endwhile; ?>
	  </ul>
	</div>
</div>
<?php } } ?>
<?php if($data['sitealert_show'] == 1){ ?>
<div class="site-alert">
	<div class="content">
	 <div class="title"><?php echo $data['sitealert_title']; ?></div><hr />
	 <ul>
		<?php echo $data['sitealert_text']; ?>
	 </ul>
	</div>
</div>
<?php } ?>
<?php if($data['topads_show'] == 1){ ?>
<div class="advertop">
<div class="content">
	<?php echo $data['topads_text']; ?>
</div>
</div>
<?php } ?>